About program structure diagrams

You can use the Program Structure template to create structural diagrams of programs and memory objects.

Create a program structure diagram


Create a program structure diagram

  1. On the File menu, point to New, point to Software, and then click Program Structure.
  2. From the Language Level Shapes and Memory Objects stencils, drag program structure shapes onto the drawing page.
  3. Connect shapes as necessary.
  4. Continue dragging shapes onto the drawing page and connecting them until you've completed your diagram.


Add cells to an array, stack, or heap (Program Structure diagram)

  1. Drag the top or bottom selection handles.

You can add up to eight cells to an Array shape, or sixteen to a Stack or heap shape.

  2. Optional: To change the cell height, drag the control handle [image].


Create or delete switch lines (Program Structure diagram)

  • Drag the control handles [image] away from the switch to create up to two more switch lines.
  • Drag the control handles to the center line to delete switch lines.


Add or delete invocations from a function (Program Structure diagram)

  • To add an invocation, drag the control handle [image] from the center of the Function w/invocation shape. You can drag up to four invocation lines from each function shape.
  • To delete an invocation, drag the control handle for the invocation back to the center of the Function w/invocation shape.

Click to show or hide information. Tip

To add arrows to a line end, subselect the line, click the Line Ends button on the Shape toolbar, and then choose the line end you want.


Specify a flowchart shape (Program Structure diagram)

Right-click the Flowchart shapes shape, and choose one of the following:

  • Process
  • Decision
  • Document
  • Input/Output